# Itamae::Plugin::Recipe::Ros

[![Gem Version](https://badge.fury.io/rb/itamae-plugin-recipe-ros.svg)](http://badge.fury.io/rb/itamae-plugin-recipe-ros)

itamae plugin to install ros on each platform.

## Installation

```ruby
gem 'itamae-plugin-recipe-ros'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install itamae-plugin-recipe-ros

## Usage

### Recipes

Recipe  | Description 
------- | -----------
install | Install ROS on your env
create_ws | Create a catkin workspace

### Node Attributes

Attribute Type  | Values | Recipe 
-------------   | ---------------- | ------
distribution    | [jade, indigo]   | install
install-target  | [desktop-full, desktop, ros-base] | install
ws-name         |                                   | create_ws

You have to add "ros" as the prefix of each attribute.

### Quick Start

Generate itamae template files.

```sh
$ mkdir itamae_ros && cd itamae_ros
$ create_itamae_ros_templates
$ bundle install
$ tree -L 1
.
┣ Gemfile
┣ Gemfile.lock
┣ itamae_ros_node.yaml
┗ itamae_ros_recipe.rb
```

**itamae_ros_node.yaml**

```yaml
ros:
    distribution: indigo
    install-target: desktop-full
    ws-name: catkin_ws
```

**itamae_ros_recipe.rb**

```ruby
include_recipe "ros::install"
include_recipe "ros::create_ws"
```

Please see the examples below, if you want to know how to use these files on itamae.

* To the vagrant via ssh

```sh
$ itamae ssh --vagrant -h default -y itamae_ros_node.yaml itamae_ros_recipe.rb
```

* On the local environment

```sh
$ itamae local -y itamae_ros_node.yaml itamae_ros_recipe.rb
```

* Or you can apply a recipe to a remote machine by `itamae ssh`

```sh
$ itamae ssh \
	-h 192.168.23.105 \
	-p 33 \
	-u name \
	-i insecure_private_key \
	-y itamae_ros_node.yaml \
	itamae_ros_recipe.rb
```

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/DaikiMaekawa/itamae-plugin-recipe-ros. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](contributor-covenant.org) code of conduct.

1. Fork it ( https://github.com/DaikiMaekawa/itamae-plugin-recipe-ros/fork )
2. Create your feature branch (git checkout -b my-new-feature)
3. Commit your changes (git commit -am 'Add some feature')
4. Push to the branch (git push origin my-new-feature)
5. Create a new Pull Request

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

